interactions:
- request:
    body: '{"approvals_before_merge": 1, "reset_approvals_on_push": true, "disable_overriding_approvers_per_merge_request":
      false, "merge_requests_author_approval": false}'
    headers:
      accept:
      - application/json
      content-length:
      - '160'
      content-type:
      - application/json; charset=utf-8
    method: POST
    uri: https://gitlab.com/api/v4/projects/22408582/approvals
  response:
    body:
      string: '{"approvers":[],"approver_groups":[],"approvals_before_merge":1,"reset_approvals_on_push":true,"disable_overriding_approvers_per_merge_request":false,"merge_requests_author_approval":false,"merge_requests_disable_committers_approval":false,"require_password_to_approve":false}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6c861d380b6203ba-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '276'
      Content-Type:
      - application/json
      Date:
      - Tue, 04 Jan 2022 17:16:21 GMT
      Etag:
      - W/"6846eef6f11e6db34a478a8b2cab7b1a"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-20-lb-gprd
      GitLab-SV:
      - localhost
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '6'
      RateLimit-Remaining:
      - '1994'
      RateLimit-Reset:
      - '1641316641'
      RateLimit-ResetTime:
      - Tue, 04 Jan 2022 17:17:21 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=3%2F3MpmtHJx6k4LfbHptebFbLkZWn%2BElOS5%2ByJ1s4a5OFda3%2BfcdnDEfwiK9djWU855Gqwo5iNygPJpmASJAIbWZUBvxiAEWABjKmAK6vgNQ0GEYxTwbZVaTynOY%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 01FRK1EZVDQRCPG04AE13QK49D
      X-Runtime:
      - '0.287977'
    status:
      code: 201
      message: Created
    url: https://gitlab.com/api/v4/projects/22408582/approvals
version: 1
